<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->

<template>
  <div
    id="app"
    style="overflow-x:hidden"
  >
    <Navcomp 
     class="xs-display-none display-block"
    />
    <MobileNavcomp class="xs-display-block display-none"/>
    <router-view
      class="view"
      :key="$route.fullPath"
    />
  </div>
</template>

<script>
import Navcomp from './components/layout/Nav.vue'
import MobileNavcomp from './mobile-layout/components/layout/Nav.vue'
export default {
  name: 'App',
  components: {
    Navcomp,
    MobileNavcomp
  },
  data () {
    return {
    }
  },
  mounted () {
    this.isMobile()
  },
  methods: {
    isMobile () {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        this.$router.push('/mobile/index')
      } else {
        this.$router.push('/')
      }
    }
}
}
</script>

<style lang="scss" scoped>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  min-width: 320px;
  background: #F0F2F5;
  overflow: auto;
}
.view{
  margin-top: 65px;
  height:calc(100% - 65px);
  // background: white;
}
.display-block {
  display: block
}
.display-none {
  display: none
}
@media screen and (max-width: 767px){
    .xs-display-none{
      display: none;
    }
    .xs-display-block{
      display: block
    }
}
</style>
